zipios_common.h File Reference

Header file containing miscellaneous small functions. More...

`#include "zipios++/zipios-config.h"`
`#include <vector>`
Include dependency graph for zipios_common.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

template<class Type>
void | zipios::operator+= (vector< Type > &v1, const vector< Type > &v2)
template<class T>
const T & | zipios::min (const T &a, const T &b)

## Detailed Description

Header file containing miscellaneous small functions.

Definition in file zipios_common.h.

## Function Documentation

## min()

template<class T>

const T & zipios::min | ( | const T & | a,
|  | const T & | b )

inline

Definition at line 22 of file zipios_common.h.

## operator+=()

template<class Type>

void zipios::operator+= | ( | vector< Type > & | v1,
|  | const vector< Type > & | v2 )

Definition at line 15 of file zipios_common.h.